Package org.eclipse.mat.ui.internal.acquire

## Class AcquireDialog

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.mat.ui.internal.acquire.AcquireDialog

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IWizardPage`

    public class AcquireDialog
    extends WizardPage

Handles the list of all VMs.

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
`AcquireDialog​(Collection<HeapDumpProviderDescriptor> dumpProviders)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl​(Composite parent)`
`VmInfo` `getProcess()`
`AnnotatedObjectArgumentsSet` `getProcessArgumentsSet()`
`String` `getSelectedPath()`
`boolean` `isPageComplete()`
`void` `performHelp()`
`void` `saveSettings()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, setVisible`

### Constructor Detail

#### AcquireDialog

    public AcquireDialog​(Collection<HeapDumpProviderDescriptor> dumpProviders)

### Method Detail

#### createControl

    public void createControl​(Composite parent)

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `IWizardPage`
Overrides:
  `isPageComplete` in class `WizardPage`

#### getProcessArgumentsSet

    public AnnotatedObjectArgumentsSet getProcessArgumentsSet()

#### getProcess

    public VmInfo getProcess()

#### getSelectedPath

    public String getSelectedPath()

#### saveSettings

    public void saveSettings()

#### performHelp

    public void performHelp()

Specified by:
  `performHelp` in interface `IDialogPage`
Overrides:
  `performHelp` in class `DialogPage`